
var baseUrl = 'http://jq.wh66.cn/api/';
var baseurl = 'http://jq.wh66.cn/'

var h = $api.dom('header') ? $api.dom('header').offsetHeight : 0;
var f = $api.dom('footer') ? $api.dom('footer').offsetHeight : 0;


function loading(conts){
    api.showProgress({
        title: conts,
        modal: false
    });
}

function clearLoading(){
    api.hideProgress()
}



function fixBar() {
    if ($api.dom('header')) {
        $api.fixStatusBar($api.dom('header'));
    }

    api.setStatusBarStyle({
        style: 'dark',
        color: 'rgba(255,255,255,0)'
    });
}


function closeWin(name) {
    api.sendEvent({
        name: name
    });
    api.closeWin();
}

function openWin(stru, cla, pageParam) {
    api.openWin({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '.html',
        pageParam: {
            list: pageParam
        },

        reload: true
    });
}

function openWinthree(stru, cla, clas,pageParam) {
    api.openWin({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '/'+clas+'.html',
        pageParam: {
            list: pageParam
        },

        reload: true
    });
}

function isLogin(callback) {
    $.ajax({
        type: 'post',
        url: baseUrl+'user_info/user_info',
        dataType: 'JSON',
        cache: true,
        data: {
            token: window.localStorage.getItem('token'),
        },
        success: function (res) {
            callback(res.errcode)
        },
        error: function (err) {
            api.hideProgress()
        }
    })
}



function openFrame(stru, cla, tabs, pageParam) {

    if (tabs == 'tabs') {
        h = h + $api.byId("tabs").offsetHeight
    }

    api.openFrame({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '.html',
        rect: {
            x: 0,
            y: h+api.safeArea.top,
            w: 'auto',
            h: api.winHeight - h
        },
        pageParam: {
            list: pageParam
        },
    });
}

function openFrame1(stru,cla,pageParam,color) {
    api.openFrame({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '.html',
        rect: {
            x: 0,
            y: h+api.safeArea.top+1,
            w: 'auto',
            h: api.winHeight-h-api.safeArea.top+1
        },
        pageParam: {
            list: pageParam
        },
        bounces: true,
        bgcolor:color,
        overScrollMode:'always'
    });
}

function openFramethree(stru,cla,clas,pageParam) {
    api.openFrame({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '/'+clas+'.html',
        rect: {
            x: 0,
            y: h+api.safeArea.top+1,
            w: 'auto',
            h: api.winHeight-h-api.safeArea.top+1
        },
        pageParam: {
            list: pageParam
        },
        bounces: true,
        overScrollMode:'always'
    });
}

// 带遮罩层 不能弹动
function openFrame2(stru, cla, pageParam) {
    api.openFrame({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '.html',
        rect: {
            x: 0,
            y: h+api.safeArea.top,
            w: 'auto',
            h: api.winHeight - h - f
        },
        pageParam: {
            list: pageParam
        },
        bounces: false,
        bgColor: 'rgba(0,0,0,0.2)'
    });
}
//tab切换
function openFrame11(stru, cla, tabs, pageParam) {
    if (tabs == 'tabs') {
        h = h + $api.byId("tabs").offsetHeight
    }
    api.openFrame({
        name: cla,
        url: 'widget://html/' + stru + '/' + cla + '.html',
        rect: {
            x: 0,
            y: h+api.safeArea.top,
            w: 'auto',
            h: api.winHeight - h - f-api.safeArea.top
        },
        pageParam: {
            list: pageParam
        },
        bounces: true,
    });
}

function closeFrame(cla) {
    api.closeFrame({
        name: cla
    });
}

// 登陆注册
function clearinfo(el) {
    $api.val(el, '')
}


//弹窗
function toast(msg){
    api.toast({
        msg: msg,
        duration: 2000,
        location: 'middle'
    });
}


function  iPoneVerification(res) {
    // 手机号码正则
    var regular = /^[1][3,4,5,7,8][0-9]{9}$/
    return regular.test(res)
}


function emialstr(email){
    var eregular = /^[A-Za-z\d]+([-_.][A-Za-z\d]+)*@([A-Za-z\d]+[-.])+[A-Za-z\d]{2,4}$/;
    return eregular.test(email)
}


function IdentityCodeValid(code) {
	var city={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江 ",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北 ",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏 ",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外 "};
	var tip = "";
	var pass= true;

	if(!code || !/^\d{17}(\d|x|X)$/i.test(code)){
		tip = "身份证号格式错误";
		pass = false;
	}

   else if(!city[code.substr(0,2)]){
		tip = "地址编码错误";
		pass = false;
	}
	else{
		//18位身份证需要验证最后一位校验位
		if(code.length == 18){
			code = code.split('');
			//∑(ai×Wi)(mod 11)
			//加权因子
			var factor = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ];
			//校验位
			var parity = [ 1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2 ];
			var sum = 0;
			var ai = 0;
			var wi = 0;
			for (var i = 0; i < 17; i++)
			{
				ai = code[i];
				wi = factor[i];
				sum += ai * wi;
			}
			var last = parity[sum % 11];
			if(parity[sum % 11] != code[17]){
				tip = "请输入正确的身份证号码";
				pass =false;
			}
		}
	}
	if(!pass)  api.toast({
        msg: tip,
        duration: 2000,
        location: 'middle'
    });
	return pass;
}
