function push() {
    if (window.api) {
        var ajpush = api.require('ajpush');
        ajpush.init(function(ret) {
            if (ret && ret.status) {
                ajpush.getRegistrationId(function(ret) {
                    var registrationId = ret.id;
                    console.log(registrationId)
                    window.localStorage.setItem('registrationId',registrationId);
                });
            }
        });
        // 极光推送
        if (api.systemType == 'ios') {
            api.addEventListener({
                name: 'noticeclicked'
            }, function(ret, err) {
                api.setAppIconBadge({
                    badge: 0
                });
                var extra = ret.value.extra
                if (extra.type == 1) {
                    window.localStorage.setItem('callId',extra.id)
                    openWin('mrfbloading','mrfbloadingH')
                }else{
                    openWin('taskv','main')
                }
            })
        } else {
            // 初始化极光推送
            ajpush.init(function(ret) {
                if (ret && ret.status) {
                    api.addEventListener({
                        name: 'appintent'
                    }, function(ret, err) {
                        if (!ret.appParam.ajpush) {
                            return
                        }
                        var extra = ret.appParam.ajpush.extra
                        if (extra.type == 1) {
                            openWin('mrfbloading','mrfbloadingH')
                        }else{
                            openWin('taskv','main')
                        }
                    })
                }
            })
        }
    }

}